AbstractAFPImageHandlerRawStream (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.afp

## Class AbstractAFPImageHandlerRawStream

- java.lang.Object
- - org.apache.fop.render.afp.AFPImageHandler
  - - org.apache.fop.render.afp.AbstractAFPImageHandlerRawStream

- All Implemented Interfaces:
    ImageHandler, ImageHandlerBase
  Direct Known Subclasses:
    AFPImageHandlerRawCCITTFax, AFPImageHandlerRawStream

      public abstract class AbstractAFPImageHandlerRawStream
      extends AFPImageHandler
      implements ImageHandler

  A base abstract AFP raw stream image handler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAFPImageHandlerRawStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleImage(RenderingContext context, org.apache.xmlgraphics.image.loader.Image image, Rectangle pos)` Handles the given `Image` instance painting it at the indicated position in the output format being generated.
    `protected void` | `setAdditionalParameters(AFPDataObjectInfo imageObjectInfo, org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)` Sets additional parameters on the image object info being built.

    - ### Methods inherited from class org.apache.fop.render.afp.AFPImageHandler

      `createDataObjectInfo, createObjectAreaInfo, createResourceInformation, generateDataObjectInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.fop.render.ImageHandler

      `isCompatible`

    - ### Methods inherited from interface org.apache.fop.render.ImageHandlerBase

      `getPriority, getSupportedImageClass, getSupportedImageFlavors`

- - ### Constructor Detail

    - #### AbstractAFPImageHandlerRawStream

          public AbstractAFPImageHandlerRawStream()

  - ### Method Detail

    - #### setAdditionalParameters

          protected void setAdditionalParameters(AFPDataObjectInfo imageObjectInfo,
                                                 org.apache.xmlgraphics.image.loader.impl.ImageRawStream image)

      Sets additional parameters on the image object info being built. By default, this method does nothing but it can be overridden to provide additional functionality.
      Parameters:
        `imageObjectInfo` - the image object info being built
        `image` - the image being processed

    - #### handleImage

          public void handleImage(RenderingContext context,
                                  org.apache.xmlgraphics.image.loader.Image image,
                                  Rectangle pos)
                           throws IOException

      Handles the given `Image` instance painting it at the indicated position in the output format being generated.
      Specified by:
        `handleImage` in interface `ImageHandler`
      Parameters:
        `context` - the rendering context
        `image` - the image to be handled
        `pos` - the position and scaling of the image relative to the origin point of the current viewport (in millipoints)
      Throws:
        `IOException` - if an I/O error occurs

Copyright © 2025 Apache Software Foundation. All rights reserved.